Subject: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me

From: Gregory Heytings <[email-masked]>
Date: Mon, 19 Sep 2022 17:01:59 +0000

>
> But a Lisp function like 'set-arg' could let us reuse the --apply 
> machinery. I think it could be as simple as this:
>
>  (defun set-arg (name &rest value)
>    (set (intern name) value))
>
> That should give us '--set', except that it's spelled '--apply set-arg'.
>

Indeed.  So --apply with a predefined set-args function should cover all 
cases I mentioned earlier.  That should have been obvious, sorry for the 
noise.